#ifndef NDEVICECOMMON_AUTHENTICATION_NAUTHENTICATIONENTRYPROPERTY_PROTECT
#define NDEVICECOMMON_AUTHENTICATION_NAUTHENTICATIONENTRYPROPERTY_PROTECT

// ----------------------------------------------------------------
// enum NDeviceCommon::Authentication::NAuthenticationEntryProperty
// ----------------------------------------------------------------

typedef enum NAuthenticationEntryProperty
{
	NAUTHENTICATION_ENTRY_PROPERTY_HOSTNAME,
	NAUTHENTICATION_ENTRY_PROPERTY_PORT,
	NAUTHENTICATION_ENTRY_PROPERTY_USERNAME,
	NAUTHENTICATION_ENTRY_PROPERTY_PASSWORD,
	NAUTHENTICATION_ENTRY_PROPERTY_TYPE,
	NAUTHENTICATION_ENTRY_PROPERTY_METHOD,
	NAUTHENTICATION_ENTRY_PROPERTY_IS_READ_ONLY,

	NAUTHENTICATION_ENTRY_PROPERTIES
} NAuthenticationEntryProperty;

#endif // !NDEVICECOMMON_AUTHENTICATION_NAUTHENTICATIONENTRYPROPERTY_PROTECT
